RpcWriter(3I)

NAME
RpcWriter - write RPC requests to a server

SYNOPSIS
#include <Dispatch/rpcwriter.h>

DESCRIPTION
An RpcWriter (actually, an instance of a class derived from RpcWriter) writes RPC requests to a server. Derived classes should add member functions that send RPC requests corresponding to the RPC service's protocol.

CONSTRUCTORS

RpcWriter(const char* path, boolean fatal, boolean binary)

RpcWriter(const char* host, int port, boolean fatal, boolean binary)

RpcWriter(int fd, boolean fatal, boolean binary)

RpcWriter(rpcstream* server)
    Open a connection to an RPC service at its registered host name and port number, or give the host name and port number needed to open a connection to the RPC service, or give the number of an already open file descriptor, or give the address of an already open rpcstream (connection). Negotiate the I/O format (binary or formatted) if opening a connection. Terminate the program if errors should be fatal.

SEE ALSO
RpcHdr(3I), RpcRegistry(3I), rpcstream(3I)